ForwardAction
Keywords: javax.help.ForwardAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class ForwardAction

    java.lang.Object
      javax.help.AbstractHelpAction
          javax.help.ForwardAction

All Implemented Interfaces:
  java.util.EventListener, HelpAction, HelpHistoryModelListener, java.awt.event.MouseListener

public class ForwardAction
extends AbstractHelpAction
implements java.awt.event.MouseListener, HelpHistoryModelListener

Constructor Summary
`ForwardAction(java.lang.Object control)` Creates new ForwardAction

Method Summary
`void` | `historyChanged(HelpHistoryModelEvent e)` Tells the listener that the history has changed.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class javax.help.AbstractHelpAction
`addPropertyChangeListener, getControl, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardAction

    public ForwardAction(java.lang.Object control)

  Creates new ForwardAction

Method Detail

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### historyChanged

    public void historyChanged(HelpHistoryModelEvent e)

  Tells the listener that the history has changed. Will enable/disable the Action depending on the events previous flag

  Specified by:
    `historyChanged` in interface `HelpHistoryModelListener`
  Parameters:
    `e` - The HelpHistoryModelEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD